#include <bits/stdc++.h>

using namespace std;

int main()
{ios_base::sync_with_stdio(false);
  cin.tie(0);
    int i, n;
    long long sum, maxa, mina, lf, rg, a, x;
    cin>> n>> a;
    mina=a; maxa=a;
    for(i=0; i<n; i++)
    { cin>> x;
      if(maxa<x)maxa=x;
      if(mina>x)mina=x;
    }
    lf=a-mina; rg=maxa-a;
    sum=lf+rg;
    if(lf<rg)sum+=lf;
    else sum+=rg;
    cout<< sum;

    return 0;
}
/*
2 1
4 7

3 4
3 7 9

3 11
3 7 9
(8)

3 11
3 3 3
(8)

3 11
11 11 11
(8)

*/